zipios::InflateInputStreambuf Class Reference

InflateInputStreambuf is an input stream filter, that inflates the input from the attached input stream. More...

`#include <inflateinputstreambuf.h>`

Inheritance diagram for zipios::InflateInputStreambuf:
[legend]

## Public Member Functions

| InflateInputStreambuf (streambuf *inbuf, int s_pos=-1, bool del_inbuf=false)
| InflateInputStreambuf constructor.
bool | reset (int stream_position=-1)
| Resets the zlib stream and purges input and output buffers.
Public Member Functions inherited from zipios::FilterInputStreambuf
| FilterInputStreambuf (streambuf *inbuf, bool del_inbuf=false)
| Constructor.
virtual | ~FilterInputStreambuf ()
| Destructor.

## Protected Member Functions

virtual int | underflow ()

## Protected Attributes

const int | _outvecsize
vector< char > | _outvec
Protected Attributes inherited from zipios::FilterInputStreambuf
int | _s_pos
streambuf * | _inbuf
bool | _del_inbuf

## Detailed Description

InflateInputStreambuf is an input stream filter, that inflates the input from the attached input stream.

Deflation/Inflation is a compression/decompression method used in gzip and zip. The zlib library is used to perform the actual inflation, this class only wraps the functionality in an input stream filter.

Definition at line 22 of file inflateinputstreambuf.h.

## Constructor & Destructor Documentation

## InflateInputStreambuf()

zipios::InflateInputStreambuf::InflateInputStreambuf | ( | streambuf * | inbuf,
|  | int | s_pos = -1,
|  | bool | del_inbuf = false )

explicit

InflateInputStreambuf constructor.

Parameters

  inbuf | the streambuf to use for input.
  s_pos | a position to reset the inbuf to before reading. Specify -1 to read from the current position.
  del_inbuf | if true is specified inbuf will be deleted, when the InflateInputStreambuf is destructed.

Definition at line 18 of file inflateinputstreambuf.cpp.

## ~InflateInputStreambuf()

zipios::InflateInputStreambuf::~InflateInputStreambuf | ( |  | ) |

virtual

Definition at line 43 of file inflateinputstreambuf.cpp.

## Member Function Documentation

## reset()

bool zipios::InflateInputStreambuf::reset | ( | int | stream_position = -1 | ) |

Resets the zlib stream and purges input and output buffers.

repositions the input streambuf at stream_position.

Parameters

  stream_position | a position to reset the inbuf to before reading. Specify -1 to read from the current position.

Definition at line 117 of file inflateinputstreambuf.cpp.

## underflow()

int zipios::InflateInputStreambuf::underflow | ( |  | ) |

protected virtual

Definition at line 56 of file inflateinputstreambuf.cpp.

## Member Data Documentation

## _outvec

vector< char > zipios::InflateInputStreambuf::_outvec

protected

Definition at line 49 of file inflateinputstreambuf.h.

## _outvecsize

const int zipios::InflateInputStreambuf::_outvecsize

protected

Definition at line 48 of file inflateinputstreambuf.h.

The documentation for this class was generated from the following files:

- inflateinputstreambuf.h
- inflateinputstreambuf.cpp